module Bannable
  module ActiveRecord
    module InstanceMethods
      def ban!
        return if self.banned?
        self.banned = true
        self.save!
      end

      def unban!
        return unless self.banned?
        self.banned = nil
        self.save!
      end
    end
  end
end
