module Bannable
  module ActiveRecord
    def bannable
      send :include, InstanceMethods
    end

    def banned
      where(self.arel_table[:banned].not_eq(nil))
    end

    def not_banned
      where(self.arel_table[:banned].eq(nil))
    end
  end
end
